Package org.eclipse.jdt.ui.actions

# Class OpenExternalJavadocAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.SelectionDispatchAction
org.eclipse.jdt.ui.actions.OpenAttachedJavadocAction
org.eclipse.jdt.ui.actions.OpenExternalJavadocAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

@Deprecated public class OpenExternalJavadocAction extends OpenAttachedJavadocAction
Deprecated.
As of 3.6, replaced by `OpenAttachedJavadocAction`
This action opens the selected element's Javadoc in an external browser.

The action is applicable to selections containing elements of type `IJavaElement`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`OpenExternalJavadocAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)`
Deprecated.
Note: This constructor is for internal use only.
`OpenExternalJavadocAction(IWorkbenchSite site)`
Deprecated.
Creates a new `OpenExternalJavadocAction`.
`OpenExternalJavadocAction(IWorkbenchSite site, ISelectionProvider provider)`
Deprecated.
Use `SelectionDispatchAction.setSpecialSelectionProvider(ISelectionProvider)` instead.

## Method Summary

Modifier and Type
Method
Description
`void`
`run(IJavaElement element)`
Deprecated.
Executes this actions with the given Java element.

### Methods inherited from class org.eclipse.jdt.ui.actions.OpenAttachedJavadocAction

`canEnableFor, getDialogTitle, getShell, open, run, run, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenExternalJavadocAction

public OpenExternalJavadocAction(IWorkbenchSite site)
Deprecated.
Creates a new `OpenExternalJavadocAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`

Parameters:
  `site` - the site providing additional context information for this action

### OpenExternalJavadocAction

@Deprecated public OpenExternalJavadocAction(IWorkbenchSite site, ISelectionProvider provider)
Deprecated.
Use `SelectionDispatchAction.setSpecialSelectionProvider(ISelectionProvider)` instead.
Creates a new `OpenExternalJavadocAction`. The action requires that the selection provided by the given selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection` .

Parameters:
  `site` - the site providing additional context information for this action
  `provider` - a special selection provider which is used instead of the site's selection provider or `null` to use the site's selection provider
Since:
  3.2

### OpenExternalJavadocAction

public OpenExternalJavadocAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)
Deprecated.
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

## Method Details

### run

public void run(IJavaElement element)
Deprecated.
Description copied from class: `OpenAttachedJavadocAction`
Executes this actions with the given Java element.

Overrides:
  `run` in class `OpenAttachedJavadocAction`
Parameters:
  `element` - the Java element